<?php

  include_once('config.php');

  ob_start('ob_gzhandler');


  $query = ibase_query(
      "select r.*, f.perc_troca ".
      "from rel_trocas r ".
	  "left join produtos p on p.codproduto = r.codproduto ".
	  "left join familias f on f.codfamilia = p.codfamilia ".
      " where r.CODCLIENTE = ".$_GET["codcliente"].
      " and r.CODPRODUTO = ".$_GET["codproduto"]);
  $array = array();
  while ($row = ibase_fetch_assoc($query)) {
    $array[] = $row;
  }

  print json_encode($array);

?>